# Created by pyp2rpm-3.3.7
%global pypi_name slicerator
%global pypi_version 1.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A lazy-loading, fancy-sliceable iterable

License:        BSD
URL:            http://github.com/soft-matter/slicerator
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Slicerator a lazy-loading, fancy-slicable iterableThink of it like a generator
that is "reusable" and has a length.[Please see the documentation]( for
examples and an API reference.[![build status]( [![Documentation Status]( On
any platform, use pip or conda.pip install sliceratororconda install -c soft-
matter slicerator

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
%description -n python3-%{pypi_name}
Slicerator a lazy-loading, fancy-slicable iterableThink of it like a generator
that is "reusable" and has a length.[Please see the documentation]( for
examples and an API reference.[![build status]( [![Documentation Status]( On
any platform, use pip or conda.pip install sliceratororconda install -c soft-
matter slicerator


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 04 2022 mockbuilder - 1.0.0-1
- Initial package.